Class SPK_BattleShip Extends SPK_Ship;

Event PostBeginPlay()
{

    AddHardpoint( Class'SPK_TurretHardpoint', Vect( 13.829f, 12.515f, 0.716f ) );
    AddHardpoint( Class'SPK_TurretHardpoint', Vect( 1.03f, 17.349f, 3.404 ) );
    AddHardpoint( Class'SPK_TurretHardpoint', Vect( -11.19f, 13.217f, 5.067f ) );
    AddHardpoint( Class'SPK_TurretHardpoint', Vect( -22.89f, 8.34f, 6.17f ) );
    AddHardpoint( Class'SPK_TurretHardpoint', Vect( -33.304f, 12.967f, 5.003f ) );

    AddHardpoint( Class'SPK_TurretHardpoint', Vect( 13.829f, -12.515f, 0.716f ) );
    AddHardpoint( Class'SPK_TurretHardpoint', Vect( 1.03f, -17.349f, 3.404 ) );
    AddHardpoint( Class'SPK_TurretHardpoint', Vect( -11.19f, -13.217f, 5.067f ) );
    AddHardpoint( Class'SPK_TurretHardpoint', Vect( -22.89f, -8.34f, 6.17f ) );
    AddHardpoint( Class'SPK_TurretHardpoint', Vect( -33.304f, -12.967f, 5.003f ) );

    FirePrimary();

}

DefaultProperties
{

	Begin Object Name=StaticMeshComponent0

		StaticMesh = StaticMesh'SPK_Ships.Battleship.Battleship';

	End Object

    SpeedNormal = 32.0f;

    PrimaryInterval = 0.075;
    Health = 15;

    CollisionMass = 1.6f;

    KillScore = 500;

}
