class SPK_CruiserShip extends SPK_Ship Placeable;

Event PostBeginPlay()
{

	Local Vector Offset;

	Offset.X = -21.262f;
	Offset.Y = -11.325f;
	Offset.Z = -0.859f;

	AddHardpoint( class'SPK_EngineHardpoint', Offset );

	Offset.X = -21.262f;
	Offset.Y = 11.325f;
	Offset.Z = -0.859f;

	AddHardpoint( class'SPK_EngineHardpoint', Offset );

	Offset.X = -0.838f;
	Offset.Y = 13.76f;
	Offset.Z = -0.766f;

	AddHardpoint( class'SPK_BlasterHardpoint', Offset );

	Offset.X = -0.838f;
	Offset.Y = -13.76f;
	Offset.Z = -0.766f;

	AddHardpoint( class'SPK_BlasterHardpoint', Offset );

	Super.PostBeginPlay();

}

Event Tick( Float FrameDelta )
{

    Local SPK_Game Game;

    Local SPK_GameHUD Notify;
    Local SPK_PlayerController HUDOwner;

    Game = SPK_Game( WorldInfo.Game );

    /* Check if we've ran into the last segment of the path. (the end) */
    If( Game != None )

        If( Game.GetStateName() != 'Finishing' )

            If( AttachedTo != None )

                If( AttachedTo.Vertices.Find( Progress.Leaving ) >= ( AttachedTo.Vertices.Length - 2 ) )
                {

                    HUDOwner = SPK_PlayerController( Owner );

                    If( HUDOwner != None )
                    {

                        Notify = SPK_GameHUD( HUDOwner.MyHUD );

                        If( Notify != None ) Notify.Message = Notify.AddClip( SWFMovie'SPK_UI.Victory', Align_BottomLeft, False );

                    }

                    Game.GotoState( 'Finishing' );

                }

    Super.Tick( FrameDelta );

}

DefaultProperties
{

	Begin Object Name=StaticMeshComponent0

		StaticMesh = StaticMesh'SPK_Ships.Cruiser.Cruiser';

	End Object

    InvincibilityPeriod = 1.5f;
    Ambush = True;

}
