Class SPK_HUD Extends UDKHUD;

Var Bool PressedUp, PressedDown, PressedSelect, PressedCancel;

Function GFxMoviePlayer AddClip( SwfMovie SWF, GFXAlign Alignment, Bool PausesGame )
{

	Local GFxMoviePlayer Panel;

	If( PausesGame ) Panel = New Class'SPK_PauseMovie'; Else Panel = New Class'GFxMoviePlayer';

	if( Panel == None ) `Warn( "SPK_HUD failed to spawn a clip!" ); else
	{

		Panel.MovieInfo = SWF;
		Panel.SetTimingMode( TM_Real );
		Panel.SetAlignment( Alignment );
		Panel.Start();
		Panel.Advance( 0.0f );

	}

	Return Panel;

}

Event PostRender()
{

    PressedUp = False;
    PressedDown = False;
    PressedSelect = False;
    PressedCancel = False;

    Super.PostRender();

}

DefaultProperties
{

    PressedUp = False;
    PressedDown = False;
    PressedSelect = False;
    PressedCancel = False;

}
