class SPK_PathObject extends Actor;

var SPK_Path AttachedTo;
var SPK_PathProgress Progress;
var float Strafe;
Var Bool HasTicked;

function AttachToPath( SPK_Path Path, SPK_PathVertex Vertex, float ProgressAlong )
{

	AttachedTo = Path;
	Progress.Leaving = Vertex;
	Progress.Progress = ProgressAlong;

}

event Tick( float FrameDelta )
{

	Local Vector Direction;

	if( AttachedTo != None )
	{

		Direction = AttachedTo.GetDirection( Progress );

		SetLocation( AttachedTo.GetPosition( Progress ) + ( Normal( Direction Cross Vect( 0.0f, 0.0f, 1.0f ) ) * Strafe ) );
		SetRotation( Rotator( Direction ) );

	}

    HasTicked = True;

	Super.Tick( FrameDelta );

}

defaultproperties
{

	AttachedTo = None;

	Progress = ( Progress = 0.0f, Leaving = None );

	Strafe = 0.0f;

    HasTicked = False;

}
