class SPK_Hardpoint extends Actor;

Var Vector Offset;

enum SPK_HardpointEvent
{

	SPK_HARDPOINTEVENT_DESTROYED,
	SPK_HARDPOINTEVENT_GOLEFT,
	SPK_HARDPOINTEVENT_GORIGHT,
	SPK_HARDPOINTEVENT_GOFORWARDS,
	SPK_HARDPOINTEVENT_GOBACKWARDS,
	SPK_HARDPOINTEVENT_STOPLEFT,
	SPK_HARDPOINTEVENT_STOPRIGHT,
	SPK_HARDPOINTEVENT_STOPFORWARDS,
	SPK_HARDPOINTEVENT_STOPBACKWARDS,
	SPK_HARDPOINTEVENT_FIREPRIMARY,
	SPK_HARDPOINTEVENT_FIRESECONDARY,
	SPK_HARDPOINTEVENT_DAMAGED,
	SPK_HARDPOINTEVENT_SPAWNED,
	SPK_HARDPOINTEVENT_TICK

};

Event Destroyed()
{

    Local SPK_Ship Ship;

    Ship = SPK_Ship( Owner );

    If( Ship != None )
    {

        Ship.HardpointsDestroyed.RemoveItem( Self );
        Ship.HardpointsGoLeft.RemoveItem( Self );
        Ship.HardpointsGoRight.RemoveItem( Self );
        Ship.HardpointsGoForwards.RemoveItem( Self );
        Ship.HardpointsGoBackwards.RemoveItem( Self );
        Ship.HardpointsStopLeft.RemoveItem( Self );
        Ship.HardpointsStopRight.RemoveItem( Self );
        Ship.HardpointsStopForwards.RemoveItem( Self );
        Ship.HardpointsStopBackwards.RemoveItem( Self );
        Ship.HardpointsFirePrimary.RemoveItem( Self );
        Ship.HardpointsFireSecondary.RemoveItem( Self );
        Ship.HardpointsDamaged.RemoveItem( Self );
        Ship.HardpointsSpawned.RemoveItem( Self );
        Ship.HardpointsTick.RemoveItem( Self );

    }

}

function Trigger( SPK_HardpointEvent Reason )
{

    Switch( Reason )
    {

        Case SPK_HARDPOINTEVENT_DESTROYED:

            Destroy();

        Break;

    }

}

defaultproperties
{

    Offset = ( X = 0.0f, Y = 0.0f, Z = 0.0f );

	bHardAttach = True;

}
