Class SPK_QuickrunnerShip Extends SPK_Ship;

Var Bool Attack;

Event PostBeginPlay()
{

    AddHardpoint( Class'SPK_EngineHardpoint', Vect( -11.448f, -13.064f, 0.617f ) );
    AddHardpoint( Class'SPK_EngineHardpoint', Vect( -11.448f, 13.064f, 0.617f ) );
    AddHardpoint( Class'SPK_MissileLauncherHardpoint', Vect( 7.551f, 0.0f, 5.288f ) );

    SetTimer( 2.0f, False, 'CommenceAttack' );

    Super.PostBeginPlay();

}

Event Tick( Float FrameDelta )
{

    Local SPK_Game Game;

    If( Attack )
    {

        Game = SPK_Game( WorldInfo.Game );

        If( Game != None )
        {

            If( Game.PlayerShip != None )
            {

                If( Game.PlayerShip.Strafe > Strafe ) GoLeft();
                If( Game.PlayerShip.Strafe < Strafe ) GoRight();

                If( Abs( Game.PlayerShip.Strafe - Strafe ) < 32.0f ) FirePrimary(); Else CeasePrimary();

            }

        }

    }

    Super.Tick( FrameDelta );

}

Function CommenceAttack()
{

    Attack = True;

}

DefaultProperties
{

    Attack = False;

	Begin Object Name=StaticMeshComponent0

		StaticMesh = StaticMesh'SPK_Ships.Quickrunner.Quickrunner';

	End Object

    SpeedNormal = 256.0f;
    Health = 5;

    CollisionMass = 0.4f;

    KillScore = 350;

}
